Beta

Get Room

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
GET
/v1/rooms/{room_id}

Gets one Room, its general access, settings, what it points at and url. Does not change it.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

room_id*string

Stable Room ID.

Match^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid

Response Body

Successful authorized response.

application/json
  1. response
room*
request_id*string
curl -X GET 'https://example.com/v1/rooms/string' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "room": {    "room_id": "string",    "business_id": "string",    "title": "string",    "purpose": "string",    "status": "active",    "revision": 1,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "archived_at": "2019-08-24T14:15:22Z",    "access_level": "view",    "general_access": "business",    "general_access_level": "view",    "attachments": [      {        "attachment_id": "string",        "type": "business",        "id": "string",        "label": "string",        "attached_at": "2019-08-24T14:15:22Z"      }    ],    "parent": {      "room_id": "string",      "title": "string"    },    "sub_room_count": 0,    "can_be_starting_room": true,    "settings": {      "who_can_invite": "full_access",      "custom_branding": true,      "brand_logo_url": "string",      "smb_agent": {},      "outside_apps": {},      "locks": [        "string"      ],      "effective": {        "smb_agent": {},        "outside_apps": {},        "locked_by_parent": [          "string"        ]      },      "parent_effective": {}    },    "url": "http://example.com"  },  "request_id": "string"}